MSGCMP(1)

NOM
msgcmp — Comparer un catalogue de messages et son modèle

SYNOPSIS
msgcmp [OPTION] def.po ref.pot

DESCRIPTION

Cet utilitaire permet de comparer deux fichiers .po de style Uniforum pour vérifier s’ils contiennent le même jeu de chaînes msgid. Le fichier def.po est un fichier PO existant contenant les traductions. Le fichier ref.pot est le dernier fichier PO créé ou un fichier PO modèle (en général créé par xgettext(1)). Cet utilitaire permet de vérifier si tous les messages de votre programme ont été traduits. Lorsqu’une correspondance exacte ne peut pas être trouvée, une recherche de correspondance approximative est effectuée pour produire un meilleur diagnostic.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

  Emplacement du fichier d'entrée :

def.po
    traductions

ref.pot
    références aux sources

-D, --directory=RÉPERTOIRE
    ajouter RÉPERTOIRE à la liste pour la recherche de fichiers d'entrée

  Modificateurs du mode opératoire :

-m, --multi-domain
    appliquer ref.pot à chacun des domaines de def.po

-N, --no-fuzzy-matching
    ne pas effectuer de recherche de correspondance approximative

--use-fuzzy
    prendre en compte les entrées non à jour

--use-untranslated
    prendre en compte les entrées non traduites

  Syntaxe du fichier d'entrée :

-P, --properties-input
    les fichiers d'entrée ont la syntaxe .properties de Java

--stringtable-input
    les fichiers d'entrée ont la syntaxe .strings de NeXTstep/GNUstep

  Sortie informative :

-h, --help
    Afficher l'aide-mémoire et quitter.

-V, --version
    afficher les informations de version et quitter

AUTEUR
Écrit par Peter Miller.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 1995-2024 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msgcmp est disponible dans un manuel Texinfo. Si les programmes info et msgcmp sont correctement installés, la commande

    info msgcmp

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.